unit ResStrs;

// resstr.pas
//
//     Copyright(c) 2009-2011 PT2K <PT2K@d8.dion.ne.jp>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils; 

const
{$IFDEF WINDOWS}
  LB = #$0D#$0A;
{$ELSE}
  LB = #$0A;
{$ENDIF}

resourcestring
  resPrevButtonCaption = '&Prev';
  resNextButtonCaption = '&Next';
  resFinishButtonCaption = '&Finish';
  resCancelButtonCaption = 'Cancel';
  resBitmapPathOpenDialogFilter = 'Bitmap File|*.bmp|All Files|*.*';
  resBitmapPathOpenDialogTitle = 'Open Bitmap File';
  resMusPathSaveDialogFilter = 'Muse Data File|*.mus|All Files|*.*';
  resMusPathSaveDialogTitle = 'Save Muse Data File As';
  resBitmapPathLabelCaption = 'Bitmap File Path:';
  resUseTransparentColorCheckBoxCaption = 'Use Transparent Color';
  resTransparentColorLabelCaption = 'Select Transparent Color:';
  resOffsetLabelCaption = 'Top Offset:';
  resNoteTypeLabelCaption = 'Note Type:';
  resNoteLengthLabelCaption = 'Note Length:';
  resTempoLabelCaption = 'Tempo:';
  resMusPathLabelCaption = 'Muse Data File Path:';

  resEWrongOptions = 'Wrong commandline option(s).';
  resEInvalidColor = 'Invalid color specification: "%0:s".';
  resEInvalidOffset = 'Invalid offset argument: "%0:s".';
  resEFileNotFound = 'File not found.';
  resEWrongImageFormat = 'Wrong image format.';
  resEImageTooHigh = 'Image is too high.';
  resETooManyColors = 'Too many colors.';
  resEInvalidNoteType = 'Invalid note type: "%0:s".';
  resEInvalidTempo = 'Invalid tempo value: "%0:s"';
  resEOffsetOutOfRange = 'Offset value is out of range. Treat as zero.';
  resEOptCNeedsBitmap = 'Commandline option -c needs bitmapfile.';

  resWOptionConflicts = 'Commandline options conflict between "%0:s" and "%1:s".';
  resWTooMuchFiles = 'Too much source files.';
  resWStdoutIgnored = 'Commandliine option -s is ignored on Microsoft Windows.';
  resWStdoutIncompatible = 'Commandline option -s and Wizard are incompatible.';
  resWForceUseTransparentColor = '17 colors image needs transparent color.';
  resWFileExists = 'File "%0:s" is exists. Overwrite it.';

  resIVersion =
    'bmp2mus Version %0:s' + LB +
    'Copyright(c) %1:s PT2K <PT2K@d8.dion.ne.jp>';
  resIHelp =
    'bmp2mus - Bitmap -> Muse Data File converter' + LB +
    'Usage:' + LB +
    '  bmp2mus [options] [bitmapfile]' + LB +
    'Options:' + LB +
    '  -c, --transparent-color=X,Y|RGB' + LB +
    '  -h, --help' + LB +
    '  -l, --note-length=STR' + LB +
    '  -o, --output-file=NAME' + LB +
    '  -O, --top-offset=INT' + LB +
    '  -p, --tempo=INT' + LB +
    '  -s, --stdout' + LB +
    '  -t, --no-use-transparent-color' + LB +
    '  -T, --use-transparent-color' + LB +
    '  -v, --version' + LB +
    '  -V, --verbose' + LB +
    '  -w, --no-wizard' + LB +
    '  -W, --with-wizard' + LB +
    '  -x, --note-type=0|1|2';

const
  msgEWrongOptions = 'Wrong commandline option(s).';
  msgEInvalidColor = 'Invalid color specification: "%0:s".';
  msgEInvalidOffset = 'Invalid offset argument: "%0:s".';
  msgEFileNotFound = 'File not found.';
  msgEWrongImageFormat = 'Wrong image format.';
  msgEImageTooHigh = 'Image is too high.';
  msgETooManyColors = 'Too many colors.';
  msgEInvalidNoteType = 'Invalid note type: "%0:s".';
  msgEInvalidTempo = 'Invalid tempo value: "%0:s"';
  msgEOffsetOutOfRange = 'Offset value is out of range. Treat as zero.';
  msgEOptCNeedsBitmap = 'Commandline option -c needs bitmapfile.';

  msgWOptionConflicts = 'Commandline options conflict between %0:s and %1:s.';
  msgWTooMuchFiles = 'Too much source files.';
  msgWStdoutIgnored = 'Commandliine option -s is ignored on Microsoft Windows.';
  msgWStdoutIncompatible = 'Commandline option -s and Wizard are incompatible.';
  msgWForceUseTransparentColor = '17 colors image needs transparent color.';
  msgWFileExists = 'File "%0:s" is exists. Overwrite it.';

  msgIVersion =
    'bmp2mus Version %0:s' + LB +
    'Copyright(c) %1:s PT2K <PT2K@d8.dion.ne.jp>';
  msgIHelp =
    'bmp2mus - Bitmap -> Muse Data File converter' + LB +
    'Usage:' + LB +
    '  bmp2mus [options] [bitmapfile]' + LB +
    'Options:' + LB +
    '  -c, --transparent-color=X,Y|RGB' + LB +
    '  -h, --help' + LB +
    '  -l, --note-length=STR' + LB +
    '  -o, --output-file=NAME' + LB +
    '  -O, --top-offset=INT' + LB +
    '  -p, --tempo=INT' + LB +
    '  -s, --stdout' + LB +
    '  -t, --no-use-transparent-color' + LB +
    '  -T, --use-transparent-color' + LB +
    '  -v, --version' + LB +
    '  -V, --verbose' + LB +
    '  -w, --no-wizard' + LB +
    '  -W, --with-wizard' + LB +
    '  -x, --note-type=0|1|2';

implementation

end.

